Main Menu

KB#01191-Configurung the BBj IDE to use an older JVM

Title:

Configurung the BBj IDE to use an older JVM

Description:

The BBj IDE currently uses NetBeans 3.6. There are known issues running a later JVMs with BBj IDE because of the NetBeans 3.6 dependency. The BBj IDE can be configured to use an older JVM without changing the JVM that the other BBj components use. 

Resolution:

The JVM used by the BBj IDE can be configured to use an earlier version of the Java in Enterprise Manager without changing the Default JVM or parameters used by BBj. It is suggested to save a copy of the current BBj.properties file located in the <bbj_install_dir>\cfg directory any time changes are made to any of the BBj JVM settings. 

Once connected and logged into the correct server in Enterprise Manager, highlight SERVER in the left pane and click on the JVM tab in the right pane. Click on the Application box and select the BasisIDE. Uncheck the Default box and enter the path to JVM JRE directory , as an example: 

C:\Program Files\Java\jdk1.6.0_29\jre 

Click on the DISK icon to save the changes. Stop and Start BBjServices for the changes to take effect. 

http://www.basis.com/onlinedocs/documentation/b3odbc/basis_enterprise_manager_bbjds.htm
http://www.basis.com/onlinedocs/documentation/b3odbc/enterprise_manager_-_server_information.htm 




Last Modified: 06/13/2012 Product: BBj Operating System: All platforms

BASIS structures five components of their technology into the BBx Generations.

  Google+ View BASIS LinkedIN ProfileVisit our Twitter Feed Check out our Facebook Public Profile Click to View the BASIS youTube channel